settings:
  application:
    # dev开发环境 test测试环境 prod线上环境
    mode: dev
    # 服务器ip，默认使用 0.0.0.0
    host: 0.0.0.0
    # 服务名称
    name: exchange_go
    # 端口号
    port: 6789 # 服务端口号
    readtimeout: 1
    writertimeout: 2
    # 数据权限功能开关
    enabledp: false
  logger:
    # 日志存放路径
    path: temp/logs
    # 日志输出，file：文件，default：命令行，其他：命令行
    stdout: '' #控制台日志，启用后，不输出到文件
    # 日志等级, trace, debug, info, warn, error, fatal
    level: trace
    # 数据库日志开关
    enableddb: false
  jwt:
    # token 密钥，生产环境时及的修改
    secret: go-admin
    # token 过期时间 单位：秒
    timeout: 259200
  database:
    # 数据库类型 mysql, sqlite3, postgres, sqlserver
    # sqlserver: sqlserver://用户名:密码@地址?database=数据库名
    driver: mysql
    # 数据库连接字符串 mysql 缺省信息 charset=utf8&parseTime=True&loc=Local&timeout=1000ms
    source: root:root@tcp(192.168.1.12:3306)/go_exchange_single?charset=utf8mb4&parseTime=True&loc=Local&timeout=1000ms
#  databases:
#    'locaohost:8000':
#      driver: mysql
#        # 数据库连接字符串 mysql 缺省信息 charset=utf8&parseTime=True&loc=Local&timeout=1000ms
#        source: user:password@tcp(127.0.0.1:3306)/dbname?charset=utf8&parseTime=True&loc=Local&timeout=1000ms
#      registers:
#        - sources:
#            - user:password@tcp(127.0.0.1:3306)/dbname?charset=utf8&parseTime=True&loc=Local&timeout=1000ms
  gen:
    # 代码生成读取的数据库名称
    dbname: go_exchange_single
    # 代码生成是使用前端代码存放位置，需要指定到src文件夹，相对路径
    frontpath: ../go-admin-ui/src
  extend: # 扩展项使用说明
    demo:
      name: data

    # redis 配置
    redis:
      addr: "192.168.1.12:6379"
      password: ""
      db: 2
    # 雪花算法设备id
    serviceId: 1

    #代理
    proxyUrl: "http://127.0.0.1:7890"

    #币安配置
    binanceSet:
      spotRestURL: "https://api.binance.com"
      futRestURL: "https://fapi.binance.com"

    # 邮箱发送配置
    emailConfig:
      mail_smtp_host: "smtp.163.com"
      mail_smtp_port: "465"
      mail_smtp_user: "daichaodsy@163.com"
      mail_smtp_pass: "QCKTZWTREARMGDZN"
      mail_verify_type: "ssl"
      mail_from:  "daichaodsy@163.com"

    # 网站域名
    domain: "https://192.168.123.242"

    #GoToneSms 短信配置
    GoToneSmsConfig:
      sender_id: "GoTone SMS"
      api_endpoint: "https://gosms.one/api/v3/sms/send"
      authorization: "CVZgh3iIAQpJuvaakQmxOo9q2uOb7Veqs7ls5KIX263d87ee"

    #UDun 配置
    UDunConfig:
      UDunUrl: "https://sig10.udun.io"
      UDunMerchantID: "318322"
      UDunKey: "e5b52a5da3f112d457b35387f2bf1001"
      CurrServerIp: ""

    #coingate 配置
    coingate:
      auth: "8hX6L1weBP9jxja5sKaEzyqB7UY2SQUC_JLAWgyM"
      endPoint: "https://api-sandbox.coingate.com"

  cache:
#    redis:
#      addr: 127.0.0.1:6379
#      password: xxxxxx
#      db: 2
    # key存在即可
    memory: '' 
  queue:
    memory:
      poolSize: 100
#    redis:
#      addr: 127.0.0.1:6379
#      password: xxxxxx
#      producer:
#        streamMaxLength: 100
#        approximateMaxLength: true
#      consumer:
#        visibilityTimeout: 60
#        bufferSize: 100
#        concurrency: 10
#        blockingTimeout: 5
#        reclaimInterval: 1
  locker:
    redis: